classification
Title: [Enum] EnumMeta.__prepare__ needs to accept **kwds
Type: behavior Stage: resolved
Components: Versions: Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ethan.furman Nosy List: desmondcheongzx, ethan.furman, gregory.p.smith, miss-islington
Priority: normal Keywords: patch

Created on 2020-12-24 03:41 by ethan.furman, last changed 2021-02-01 20:11 by ethan.furman. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 23917 merged ethan.furman, 2020-12-24 03:45
PR 23926 merged ethan.furman, 2020-12-24 18:21
PR 23927 merged ethan.furman, 2020-12-24 22:47
PR 23931 merged miss-islington, 2020-12-25 03:31
PR 23932 merged gregory.p.smith, 2020-12-25 04:23
PR 23933 merged miss-islington, 2020-12-25 04:31
Messages (6)
msg383670 - (view) Author: Ethan Furman (ethan.furman) * (Python committer) Date: 2020-12-24 03:41
**kwds are necessary to support __init_subclass__, but __prepare__ currently does not accept them.
msg383705 - (view) Author: Ethan Furman (ethan.furman) * (Python committer) Date: 2020-12-24 20:03
New changeset f7dca9b9c864c1b7807014ea21a30cac76727e8b by Ethan Furman in branch '3.9':
[3.9] bpo-42727: [Enum] EnumMeta.__prepare__ now accepts **kwds (GH-23917). (GH-23926)
https://github.com/python/cpython/commit/f7dca9b9c864c1b7807014ea21a30cac76727e8b
msg383711 - (view) Author: Ethan Furman (ethan.furman) * (Python committer) Date: 2020-12-25 03:31
New changeset 786d97a66cac48e7a933010367b8993a5b3ab85b by Ethan Furman in branch 'master':
bpo-42727: [Enum] use super() and include **kwds (GH-23927)
https://github.com/python/cpython/commit/786d97a66cac48e7a933010367b8993a5b3ab85b
msg383712 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2020-12-25 04:31
New changeset 8badadec53cbf9dc049c5b54198c5689481e3f3f by Gregory P. Smith in branch 'master':
bpo-42727: Fix the NEWS entry .rst (GH-23932)
https://github.com/python/cpython/commit/8badadec53cbf9dc049c5b54198c5689481e3f3f
msg383713 - (view) Author: miss-islington (miss-islington) Date: 2020-12-25 04:53
New changeset 5a6b5d8c392ca7028e7c034710a89492cd704778 by Miss Islington (bot) in branch '3.9':
bpo-42727: Fix the NEWS entry .rst (GH-23932)
https://github.com/python/cpython/commit/5a6b5d8c392ca7028e7c034710a89492cd704778
msg383751 - (view) Author: miss-islington (miss-islington) Date: 2020-12-25 16:07
New changeset fbffda25b4b5f537e651eaab4ca1ec4cde800709 by Miss Islington (bot) in branch '3.9':
bpo-42727: [Enum] use super() and include **kwds (GH-23927)
https://github.com/python/cpython/commit/fbffda25b4b5f537e651eaab4ca1ec4cde800709
History
Date User Action Args
2021-02-01 20:11:04ethan.furmansetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-12-25 16:10:05ethan.furmansetpull_requests: - pull_request22792
2020-12-25 16:07:37miss-islingtonsetmessages: + msg383751
2020-12-25 15:23:32desmondcheongzxsetnosy: + desmondcheongzx
pull_requests: + pull_request22792
2020-12-25 04:53:34miss-islingtonsetmessages: + msg383713
2020-12-25 04:31:33miss-islingtonsetpull_requests: + pull_request22783
2020-12-25 04:31:26gregory.p.smithsetmessages: + msg383712
2020-12-25 04:23:17gregory.p.smithsetnosy: + gregory.p.smith
pull_requests: + pull_request22782
2020-12-25 03:31:52miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request22781
2020-12-25 03:31:17ethan.furmansetmessages: + msg383711
2020-12-24 22:47:00ethan.furmansetpull_requests: + pull_request22778
2020-12-24 20:03:03ethan.furmansetmessages: + msg383705
2020-12-24 18:21:08ethan.furmansetpull_requests: + pull_request22777
2020-12-24 03:45:35ethan.furmansetkeywords: + patch
stage: patch review
pull_requests: + pull_request22768
2020-12-24 03:41:22ethan.furmancreate